Bug 1415245 - core: max op version
Summary: core: max op version
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: core
Version: 3.10
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kaleb KEITHLEY
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: glusterfs-3.10.0
TreeView+ depends on / blocked
 
Reported: 2017-01-20 16:29 UTC by Kaleb KEITHLEY
Modified: 2017-03-06 17:44 UTC (History)
3 users (show)

Fixed In Version: glusterfs-3.10.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-15 13:54:20 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Kaleb KEITHLEY 2017-01-20 16:29:42 UTC
Description of problem:

http://review.gluster.org/16283 added GD_OP_VERSION_3_10_0 (31000) but didn't change GD_OP_VERSION_MAX to match

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Worker Ant 2017-01-20 16:31:58 UTC
REVIEW: http://review.gluster.org/16447 (glusterd: set maximum supported op-version) posted (#2) for review on release-3.10 by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 2 Atin Mukherjee 2017-01-20 16:36:25 UTC
Just a note that there was nothing wrong in the patch mentioned in the bug description. The patch wasconmitted in mainline and hence there the max op version has to stay as 40000.

Comment 3 Worker Ant 2017-01-24 15:21:22 UTC
REVIEW: https://review.gluster.org/16465 (core (3.10): correct max op version for 3.10) posted (#1) for review on release-3.10 by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 4 Worker Ant 2017-01-25 13:56:44 UTC
COMMIT: https://review.gluster.org/16465 committed in release-3.10 by Shyamsundar Ranganathan (srangana@redhat.com) 
------
commit 34213d9f34df15dbec42e389f327a893799f1c75
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Tue Jan 24 10:17:01 2017 -0500

    core (3.10): correct max op version for 3.10
    
    remove GD_OP_VERSION_4_0_0, set GS_OP_VERSION_MAX to 3_10_0
    
    BUG: 1415245
    Change-Id: I37edef6ab67e4ef64adbd02266942a8e4c5484c5
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: https://review.gluster.org/16465
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>
    Reviewed-by: Shyamsundar Ranganathan <srangana@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>

Comment 5 Shyamsundar 2017-03-06 17:44:03 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.10.0, please open a new bug report.

glusterfs-3.10.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://lists.gluster.org/pipermail/gluster-users/2017-February/030119.html
[2] https://www.gluster.org/pipermail/gluster-users/


Note You need to log in before you can comment on or make changes to this bug.